mediawiki-classes_1.27.4-3_all.deb


Advertisement

Description

mediawiki-classes - website engine for collaborative work - standalone classes

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename mediawiki-classes_1.27.4-3_all.deb
Package name mediawiki-classes
Package version 1.27.4
Package release 3
Package architecture all
Package type deb
Category universe/web
Homepage https://www.mediawiki.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 113.95 KB
Installed size 608.00 KB
This package provides standalone classes from the remainder of the
MediaWiki codebase. They do not call on any other portions of MediaWiki
code, and can be used in portions of MediaWiki code, and can be used in
other projects without dependency issues.
MediaWiki is a wiki engine (a program for creating a collaboratively
edited website). It is designed to handle heavy websites containing
library-like document collections, and supports user uploads of
images/sounds, multilingual content, TOC autogeneration, ISBN links,
etc.
Moreover, it keeps track of changes, so users can receive
notifications, view diffs and revert edits. This system has many
other features and can easily be extended.

Alternatives

Package Version Architecture Repository
mediawiki-classes_1.27.4-3_all.deb 1.27.4 all Ubuntu Universe
mediawiki-classes - - -

Replaces

Name Value
mediawiki << 1:1.19.8+dfsg-2.1~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package mediawiki-classes_1.27.4-3_all.deb
Source Package mediawiki

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mediawiki-classes deb package:
    # sudo apt-get install mediawiki-classes

Files

Path
/usr/share/doc/mediawiki-classes/README
/usr/share/doc/mediawiki-classes/changelog.Debian.gz
/usr/share/doc/mediawiki-classes/copyright
/usr/share/mediawiki/includes/libs/APACHE-LICENSE-2.0.txt
/usr/share/mediawiki/includes/libs/ArrayUtils.php
/usr/share/mediawiki/includes/libs/CSSMin.php
/usr/share/mediawiki/includes/libs/Cookie.php
/usr/share/mediawiki/includes/libs/CookieJar.php
/usr/share/mediawiki/includes/libs/DeferredStringifier.php
/usr/share/mediawiki/includes/libs/ExplodeIterator.php
/usr/share/mediawiki/includes/libs/GenericArrayObject.php
/usr/share/mediawiki/includes/libs/HashRing.php
/usr/share/mediawiki/includes/libs/HttpStatus.php
/usr/share/mediawiki/includes/libs/IEContentAnalyzer.php
/usr/share/mediawiki/includes/libs/IEUrlExtension.php
/usr/share/mediawiki/includes/libs/JavaScriptMinifier.php
/usr/share/mediawiki/includes/libs/MWMessagePack.php
/usr/share/mediawiki/includes/libs/MapCacheLRU.php
/usr/share/mediawiki/includes/libs/MappedIterator.php
/usr/share/mediawiki/includes/libs/MemoizedCallable.php
/usr/share/mediawiki/includes/libs/MessageSpecifier.php
/usr/share/mediawiki/includes/libs/MultiHttpClient.php
/usr/share/mediawiki/includes/libs/ObjectFactory.php
/usr/share/mediawiki/includes/libs/ProcessCacheLRU.php
/usr/share/mediawiki/includes/libs/README
/usr/share/mediawiki/includes/libs/ReplacementArray.php
/usr/share/mediawiki/includes/libs/RiffExtractor.php
/usr/share/mediawiki/includes/libs/SamplingStatsdClient.php
/usr/share/mediawiki/includes/libs/ScopedCallback.php
/usr/share/mediawiki/includes/libs/StatusValue.php
/usr/share/mediawiki/includes/libs/StringUtils.php
/usr/share/mediawiki/includes/libs/Timing.php
/usr/share/mediawiki/includes/libs/UDPTransport.php
/usr/share/mediawiki/includes/libs/Xhprof.php
/usr/share/mediawiki/includes/libs/XmlTypeCheck.php
/usr/share/mediawiki/includes/libs/jsminplus.php
/usr/share/mediawiki/includes/libs/composer/ComposerInstalled.php
/usr/share/mediawiki/includes/libs/composer/ComposerJson.php
/usr/share/mediawiki/includes/libs/composer/ComposerLock.php
/usr/share/mediawiki/includes/libs/eventrelayer/EventRelayer.php
/usr/share/mediawiki/includes/libs/eventrelayer/EventRelayerKafka.php
/usr/share/mediawiki/includes/libs/eventrelayer/EventRelayerNull.php
/usr/share/mediawiki/includes/libs/objectcache/APCBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/APCUBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/BagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/CachedBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/EmptyBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/HashBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/IExpiringStore.php
/usr/share/mediawiki/includes/libs/objectcache/MemcachedBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/MemcachedClient.php
/usr/share/mediawiki/includes/libs/objectcache/MemcachedPhpBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/MultiWriteBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/ReplicatedBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/WANObjectCache.php
/usr/share/mediawiki/includes/libs/objectcache/WinCacheBagOStuff.php
/usr/share/mediawiki/includes/libs/objectcache/XCacheBagOStuff.php
/usr/share/mediawiki/includes/libs/replacers/DoubleReplacer.php
/usr/share/mediawiki/includes/libs/replacers/HashtableReplacer.php
/usr/share/mediawiki/includes/libs/replacers/RegexlikeReplacer.php
/usr/share/mediawiki/includes/libs/replacers/Replacer.php
/usr/share/mediawiki/includes/libs/stats/BufferingStatsdDataFactory.php
/usr/share/mediawiki/includes/libs/stats/NullStatsdDataFactory.php
/usr/share/mediawiki/includes/libs/stats/StatsdAwareInterface.php
/usr/share/mediawiki/includes/libs/virtualrest/ParsoidVirtualRESTService.php
/usr/share/mediawiki/includes/libs/virtualrest/RestbaseVirtualRESTService.php
/usr/share/mediawiki/includes/libs/virtualrest/SwiftVirtualRESTService.php
/usr/share/mediawiki/includes/libs/virtualrest/VirtualRESTService.php
/usr/share/mediawiki/includes/libs/virtualrest/VirtualRESTServiceClient.php

Changelog

2017-12-03 - Kunal Mehta <legoktm@member.fsf.org>
mediawiki (1:1.27.4-3) unstable; urgency=medium
* Add basic tests via autopkgtest
* Document mediawiki-jobrunner systemd unit in README.Debian
2017-11-23 - Kunal Mehta <legoktm@member.fsf.org>
mediawiki (1:1.27.4-2) unstable; urgency=medium
* Bump Standards-Version to 4.1.1
* Set Rules-Requires-Root: no
* Remove unused lintian overrides
* Upgrade php-apcu to a Recommends
* Use debhelper compat 10
* Add a systemd unit to run runJobs.php as a service
* Get rid of unnecessary dh_installdeb override
* Remove dead code to mess with $wgVersion
* Synchronise upstream/signing-key.asc
* Remove broken ConfirmEdit/Asirra.php & Vector/Vector.php symlinks
(Closes: #857773)
* Document descriptions and forwarded status for all patches
* Remove unused GPL-3.0 paragraph from debian/copyright
* Override composer-package-without-pkg-php-tools-builddep lintian warning
2017-11-14 - Kunal Mehta <legoktm@member.fsf.org>
mediawiki (1:1.27.4-1) unstable; urgency=medium
* Imported Upstream version 1.27.4 (security release), fixing
CVE-2017-8809, CVE-2017-8810, CVE-2017-8808, CVE-2017-8811,
CVE-2017-8812, CVE-2017-8814, CVE-2017-8815.
* Users who used the default configuration should not be affected
by CVE-2017-9841, but an extra .htaccess file will restrict
web access to the vendor/ directory.
2017-05-01 - Kunal Mehta <legoktm@member.fsf.org>
mediawiki (1:1.27.3-1) unstable; urgency=medium
* Imported Upstream version 1.27.3 (security release), that
actually contains the fix for CVE-2017-0372 (Closes: #861585)
2017-04-06 - Kunal Mehta <legoktm@member.fsf.org>
mediawiki (1:1.27.2-1) unstable; urgency=medium
* Improve NEWS file (Closes: #852862, #854352)
* Imported Upstream version 1.27.2 (security release), fixing
CVE-2017-0363, CVE-2017-0364, CVE-2017-0365, CVE-2017-0361,
CVE-2017-0362, CVE-2017-0368, CVE-2017-0366, CVE-2017-0370,
CVE-2017-0369, CVE-2017-0367
2016-09-13 - Kunal Mehta <legoktm@member.fsf.org>
mediawiki (1:1.27.1-3) unstable; urgency=medium
* Ensure mediawiki depends upon the same version of mediawiki-classes
* Add powered by Debian icon in footer
* Add NEWS for major version upgrade (Closes: #838965)
* Add README for mediawiki-classes
* Add RELEASE-NOTES-* as documentation for mediawiki
* Recommend default-mysql-server | virtual-mysql-server instead of
just mysql-server (Closes: #843994, #848441)
* Use bundled jQuery (version 1) instead of Debian's jQuery, which is
now the incompatible version 3
* Add Provides for extensions now included in this one (Closes: #845281)
2016-08-29 - Kunal Mehta <legoktm@member.fsf.org>
mediawiki (1:1.27.1-2) unstable; urgency=high
* Add missing php-xml dependency (Closes: #835912)
2016-08-22 - Kunal Mehta <legoktm@member.fsf.org>
mediawiki (1:1.27.1-1) unstable; urgency=medium
* Add gbp.conf for git-buildpackage
* Improve Breaks/Replaces for mediawiki-extensions-* packages
(Closes: #831227)
* Update apache config for mod_php7
* Don't add custom PHP session configuration (Closes: #831874)
* Imported Upstream version 1.27.1 (security release), fixing
CVE-2016-6335, CVE-2016-6334, CVE-2016-6333, CVE-2016-6333,
CVE-2016-6336, CVE-2016-6332, CVE-2016-6332, CVE-2016-6331,
CVE-2016-6337

See Also

Package Description
mediawiki2latex_7.29-1_amd64.deb Loads pages from MediaWiki and converts to LaTeX and PDF
mediawiki2latexguipyqt_1.5-1_all.deb lightweight GUI for mediawiki2latex
mediawiki_1.27.4-3_all.deb website engine for collaborative work
medit_1.2.0-3_amd64.deb Useful programming and around-programming text editor
mednafen_0.9.48+dfsg-1_amd64.deb multi-platform emulator, including NES, GB/A, Lynx, PC Engine
mednaffe_0.8.6-1_amd64.deb front-end for the Mednafen multi-system emulator
medusa_2.2-5_amd64.deb fast, parallel, modular, login brute-forcer for network services
meep-lam4_1.3-2build2_amd64.deb software package for FDTD simulation, parallel (OpenMPI) version
meep-mpi-default_1.3-3build5_amd64.deb software package for FDTD simulation, parallel (OpenMPI) version
meep-mpich2_1.3-4build3_amd64.deb software package for FDTD simulation, parallel (OpenMPI) version
meep-openmpi_1.3-3build4_amd64.deb software package for FDTD simulation, parallel (OpenMPI) version
meep_1.3-4build2_amd64.deb software package for FDTD simulation
megaglest-data_3.13.0-2_all.deb data files for MegaGlest
megaglest_3.13.0-2_amd64.deb 3D multi-player real time strategy game
megatools_1.9.98-1build2_amd64.deb Command-line client for the Mega cloud storage service
Advertisement
Advertisement